Package org.eclipse.cdt.core.settings.model

# Interface ICConfigExtensionReference

public interface ICConfigExtensionReference
Holds executable extension information in the project configuration. Like ICExtensionReference but has knowledge of its ICConfigurationDescription deprecated-@see ICExtensionReference

## Method Summary

Modifier and Type
Method
Description
`ICConfigurationDescription`
`getConfiguration()`
Returns the project descriptor which this extension reference belongs to.
`String`
`getExtensionData(String key)`
Gets a value of the key from the .cdtproject file set by setExtensionData()
`String`
`getExtensionPoint()`
Return the extension point of this reference.
`String`
`getID()`
Return the extension ID of this reference.
`void`
`setExtensionData(String key, String value)`
Sets a name/value data pair on this reference in the .cdtproject file

## Method Details

### getExtensionPoint

String getExtensionPoint()
Return the extension point of this reference.

Returns:
  String

### getID

String getID()
Return the extension ID of this reference.

Returns:
  String

### setExtensionData

void setExtensionData(String key, String value) throws org.eclipse.core.runtime.CoreException
Sets a name/value data pair on this reference in the .cdtproject file

Throws:
  `org.eclipse.core.runtime.CoreException`

### getExtensionData

String getExtensionData(String key)
Gets a value of the key from the .cdtproject file set by setExtensionData()

### getConfiguration

ICConfigurationDescription getConfiguration()
Returns the project descriptor which this extension reference belongs to.

Returns:
  the `ICConfigurationDescription`